# Driverless AI Experiment: `{{ experiment.description }}`

Generated on: {{ generated_on }}

Generated by: {{ generated_by }}

## Table of Contents

1. [Experiment Overview](#experiment-overview)
2. [Data Overview](#data-overview)
3. [Methodology](#methodology)
4. [Data Sampling](#data-sampling)
5. [Validation Strategy](#validation-strategy)
6. [Model Tuning](#model-tuning)
7. [Feature Evolution](#feature-evolution)
8. [Final Model](#final-model)
9. [Deployment](#deployment)
10. [Visualizations](#visualizations){% if shap.has_shap %}
11. [Shapley Values](#shap){% endif %}
12. [Appendix](#appendix)

## Experiment Overview <a name="experiment-overview"></a>

{{section.render('Experiment Overview.template')}}

## Data Overview <a name="data-overview"></a>

{{section.render('Data Overview.template')}}

## Methodology <a name="methodology"></a>

{{section.render('Methodology.template')}}

## Data Sampling <a name="data-sampling"></a>

{{section.render('Data Sampling.template')}}

## Validation Strategy <a name="validation-strategy"></a>

{{section.render('Validation Strategy.template')}}

## Model Tuning <a name="model-tuning"></a>

{{section.render('Model Tuning.template')}}

## Feature Evolution <a name="feature-evolution"></a>

{{section.render('Feature Evolution.template')}}

## Final Model <a name="final-model"></a>

{{section.render('Final Model.template')}}

## Deployment <a name="deployment"></a>

{{section.render('Deployment.template')}}

## Visualizations <a name="visualizations"></a>

{{section.render('Visualizations.template')}}

{% if shap != None %}
{% if shap.has_shap %}
## Shapley Values <a name="shap"></a>

{{ section.render('MLI.Shapley Contributions') }}
{% endif %}
{% endif %}

## Appendix <a name="appendix"></a>

{{section.render('Appendix.template')}}
